<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="p2p"
	ProjectGUID="{72E02DCD-6F94-4C05-BAE7-8582F2672263}"
	RootNamespace="p2p"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\src\utils;..\src\table;..\src\sys;..\src\p2pconfig;..\src\node;..\src\net;..\src\msg;..\src\distance;..\src\common;..\src\bigint"
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ws2_32.lib"
				OutputFile="$(OutDir)/p2p.exe"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				ProgramDatabaseFile="$(OutDir)/p2p.pdb"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="Release"
			IntermediateDirectory="Release"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="..\src\utils;..\src\table;..\src\sys;..\src\p2pconfig;..\src\node;..\src\net;..\src\msg;..\src\distance;..\src\common;..\src\bigint"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE"
				RuntimeLibrary="0"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ws2_32.lib"
				OutputFile="$(OutDir)/p2p.exe"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\src\distance\bamboodist.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\bamboopeer.cpp"
				>
			</File>
			<File
				RelativePath="..\src\table\bamboortable.cpp"
				>
			</File>
			<File
				RelativePath="..\src\bigint\bigint.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\bootstrap.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\client.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\diagnostics.cpp"
				>
			</File>
			<File
				RelativePath="..\src\distance\distance.cpp"
				>
			</File>
			<File
				RelativePath="..\src\utils\genhash.cpp"
				>
			</File>
			<File
				RelativePath="..\src\sys\gettimeofday.cpp"
				>
			</File>
			<File
				RelativePath="..\src\distance\kaddist.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\kadpeer.cpp"
				>
			</File>
			<File
				RelativePath="..\src\table\kadrtable.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\mainthelper.cpp"
				>
			</File>
			<File
				RelativePath="..\src\utils\md4.cpp"
				>
			</File>
			<File
				RelativePath="..\src\utils\md5.cpp"
				>
			</File>
			<File
				RelativePath="..\src\msg\msgheader.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\node.cpp"
				>
			</File>
			<File
				RelativePath="..\src\p2pconfig\p2pconfig.cpp"
				>
			</File>
			<File
				RelativePath="..\src\p2pmain.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\peer.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\rmanager.cpp"
				>
			</File>
			<File
				RelativePath="..\src\utils\sha1.cpp"
				>
			</File>
			<File
				RelativePath="..\src\utils\sha256.cpp"
				>
			</File>
			<File
				RelativePath="..\src\net\socketi.cpp"
				>
			</File>
			<File
				RelativePath="..\src\sys\sysutils.cpp"
				>
			</File>
			<File
				RelativePath="..\src\table\table.cpp"
				>
			</File>
			<File
				RelativePath="..\src\sys\threadi.cpp"
				>
			</File>
			<File
				RelativePath="..\src\node\transaction.cpp"
				>
			</File>
			<File
				RelativePath="..\src\net\transport.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\src\bigint\bigint.h"
				>
			</File>
			<File
				RelativePath="..\src\node\bootstrap.h"
				>
			</File>
			<File
				RelativePath="..\src\node\client.h"
				>
			</File>
			<File
				RelativePath="..\src\distance\distance.h"
				>
			</File>
			<File
				RelativePath="..\src\utils\genhash.h"
				>
			</File>
			<File
				RelativePath="..\src\sys\gettimeofday.h"
				>
			</File>
			<File
				RelativePath="..\src\distance\kaddist.h"
				>
			</File>
			<File
				RelativePath="..\src\node\kadpeer.h"
				>
			</File>
			<File
				RelativePath="..\src\table\kadrtable.h"
				>
			</File>
			<File
				RelativePath="..\src\utils\md4.h"
				>
			</File>
			<File
				RelativePath="..\src\utils\md5.h"
				>
			</File>
			<File
				RelativePath="..\src\msg\msgheader.h"
				>
			</File>
			<File
				RelativePath="..\src\node\node.h"
				>
			</File>
			<File
				RelativePath="..\src\node\nodetypes.h"
				>
			</File>
			<File
				RelativePath="..\src\p2pconfig\p2pconfig.h"
				>
			</File>
			<File
				RelativePath="..\src\node\peer.h"
				>
			</File>
			<File
				RelativePath="..\src\utils\sha1.h"
				>
			</File>
			<File
				RelativePath="..\src\net\socketi.h"
				>
			</File>
			<File
				RelativePath="..\src\sys\sysutils.h"
				>
			</File>
			<File
				RelativePath="..\src\table\table.h"
				>
			</File>
			<File
				RelativePath="..\src\sys\threadi.h"
				>
			</File>
			<File
				RelativePath="..\src\common\trace.h"
				>
			</File>
			<File
				RelativePath="..\src\node\transaction.h"
				>
			</File>
			<File
				RelativePath="..\src\net\transport.h"
				>
			</File>
			<File
				RelativePath="..\src\common\types.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
